/**
 * This file binds the click on the red top-left cell to the SQL textarea. 
 */
AJS.$(function($){
  
  function openBrowser(clickedElement) {
    var componentClickedPlaceholder = $(clickedElement).closest("div.playsql-placeholder");
    if (componentClickedPlaceholder.prev("form#query-form").is(":visible"))
    {
      return;
    }
    componentClickedPlaceholder.before(Confluence.Templates.PlaySQL.browserForm());
    $form = componentClickedPlaceholder.prev("form#query-form")
    if ($form.size() != 1) {
      throw "Browser was not inserted";
    }
    PlaySQLBrowser.initialize($form);
  }
  
  $(document).delegate("div:not(.playsql-query-placeholder, .playsql-spreadsheet-placeholder) > table.playsql thead tr th:first-child a", "click", function(e) {
    e.preventDefault();
    openBrowser(e.target);
  });

  $(".playsql-placeholder").each(function() {
    if ($(this).data("open-browser"))
    {
      openBrowser(this);
    }
  });
});