AJS.$(function($) {
    $("#datasource-list").delegate("#uncover-factory-settings-details", "click", function(e) {
        $("#factory-settings-details").removeClass("hidden");
        $(this).remove();
        $(".interpretation").remove();
        e.stopPropagation();
        return false;
    });

    /************ Privacy reporting ***/
    var $area = $("#usage-stats-example");
    if ($area.size() == 1) {
        $.ajax({
            url : AJS.contextPath() + "/rest/playsql/1.0/admin/usage/stats",
            success : function(data) {
                $area.text(data);
            }
        });
    }

    var $toggle = $("#toggle-usage-job");
    $toggle.click(function(e){
        e.preventDefault();
        var $status = $(this).parent().find(".aui-lozenge"),
            active = $status.hasClass("aui-lozenge-success");

        $.ajax({
            url : AJS.contextPath() + "/rest/playsql/1.0/admin/setup",
            type: 'PUT',
            contentType: "application/json",
            data : JSON.stringify({
                "activateUsageJob" : !active
            }),
            success : function(data) {
                if (!data || data.activateUsageJob == undefined) {
                    throw "Error while toggling the reporting job status: " + data;
                }
                if (!!data.activateUsageJob) {
                    $status.text("Active").removeClass("aui-lozenge-error").addClass("aui-lozenge-success");
                } else {
                    $status.text("Disabled").removeClass("aui-lozenge-success").addClass("aui-lozenge-error");
                }
            }
        });
        return false;
    });
});


